package it.integry.integrywmsnative.core.model;

import it.integry.integrywmsnative.core.di.BindableBoolean;

public class CheckableMtbAart {

    private MtbAart mtbAart;
    private BindableBoolean checked = new BindableBoolean(false);

    public CheckableMtbAart(MtbAart mtbAart) {
        this.mtbAart = mtbAart;
    }

    public MtbAart getMtbAart() {
        return mtbAart;
    }

    public CheckableMtbAart setMtbAart(MtbAart mtbAart) {
        this.mtbAart = mtbAart;
        return this;
    }

    public BindableBoolean getChecked() {
        return checked;
    }

    public CheckableMtbAart setChecked(BindableBoolean checked) {
        this.checked = checked;
        return this;
    }

    public void toggleCheck() {
        this.checked.set(!this.checked.get());
    }
}
